#!/bin/bash

# Exit on error
set -e

# Prerequisite: stage1 exported state present at $STAGE2_DEPLOYMENT/data/laconicd-data/stage1-state.json

# Check args
if [ "$#" -lt 2 ]; then
  echo "Usage: $0 <stage2-deployment-dir> <stage2-chain-id> <node-moniker> <node-keyring-backend> [node-staking-amount]"
  echo "Example: $0 /srv/stage2-deployment laconic-testnet-2 LaconicStage2 os 1000000000000000"
  exit 1
fi

STAGE2_DEPLOYMENT=$1
CHAINID=$2
MONIKER=$3
KEYRING=$4
STAKING_AMOUNT=$5

# Generate genesis file for state2 chain and init node
docker run -it \
  -v $STAGE2_DEPLOYMENT/data/laconicd-data:/root/.laconicd \
  -v ./scripts:/scripts \
  cerc/laconicd:local bash -c "CHAINID=$CHAINID MONIKER=$MONIKER KEYRING=$KEYRING STAKING_AMOUNT=$STAKING_AMOUNT /scripts/generate-stage2-genesis.sh"
